# NOTE:
# Pollutes module namespace by
# %{py*_sitescriptdir}/_version.py*
# %{py*_sitescriptdir}/validate.py*

#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module		configobj
%define 	egg_name	configobj
Summary:	Reading and writing config files
Summary(pl.UTF-8):	Odczyt i zapis plików konfiguracyjnych
Name:		python-configobj
Version:	5.0.6
Release:	5
License:	MIT
Group:		Libraries/Python
## Source0:	https://github.com/DiffSK/configobj/archive/%{version}.tar.gz
Source0:	https://pypi.python.org/packages/source/c/%{module}/%{module}-%{version}.tar.gz
# Source0-md5:	e472a3a1c2a67bb0ec9b5d54c13a47d6
URL:		https://github.com/DiffSK/configobj
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-modules
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools
%endif
Requires:	python-modules
Requires:	python-six
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Reading and writing config files.

%description -l pl.UTF-8
Odczyt i zapis plików konfiguracyjnych.

%package -n python3-%{module}
Summary:	Reading and writing config files
Summary(pl.UTF-8):	Odczyt i zapis plików konfiguracyjnych
Group:		Libraries/Python
Requires:	python3-modules
Requires:	python3-six

%description -n python3-%{module}
Reading and writing config files.

%description  -n python3-%{module} -l pl.UTF-8
Odczyt i zapis plików konfiguracyjnych.

%prep
%setup -q -n configobj-%{version}

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
%py_install
%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/%{module}.py[co]
# Import error without _version.py
%{py_sitescriptdir}/_version.py[co]
# from validate import VdtMissingValue
%{py_sitescriptdir}/validate.py[co]
%{py_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%{py3_sitescriptdir}/%{module}.py
%{py3_sitescriptdir}/__pycache__/%{module}.*.pyc
# Import error without _version.py
%{py3_sitescriptdir}/_version.py
%{py3_sitescriptdir}/__pycache__/_version.*.pyc
# from validate import VdtMissingValue
%{py3_sitescriptdir}/validate.py
%{py3_sitescriptdir}/__pycache__/validate.*.pyc
%{py3_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%endif
%changelog
* Mon Oct 28 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-configobj.git;a=log;h=auto/th/python-configobj-5.0.6-5

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 05b49ac
- rebuild with python 3.8
- release 5 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 1851c98
- python 3.7 rebuild
- release 4 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> f791889
- python 3.6
- release 3 (by relup.sh)

* Tue Jun 28 2016 Elan Ruusamäe <glen@delfi.ee> f4be780
- validate.py is used

* Tue Jun 28 2016 Elan Ruusamäe <glen@delfi.ee> e9f1796
- requires python-six

* Tue Jun 28 2016 Elan Ruusamäe <glen@delfi.ee> efb68ad
- build python3 package, similarily to python2

* Tue Jun 28 2016 Elan Ruusamäe <glen@delfi.ee> d6cd739
- cleanups

* Mon Nov 30 2015 Mateusz Korniak <matkor@pld-linux.org> 3fa1bbe
- Up to 5.0.6. Rel 1. Not packaging validate.py anymore.

* Mon Nov 30 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 1211b12
- release 3 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> a87c7e6
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> dde51d2
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 662a393
- automatic change: use py_build/py_install macros

* Tue Feb 18 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 2752416
- up to 5.0.0

* Mon Jun 24 2013 Jan Rękorajski <baggins@pld-linux.org> e0d18cd
- release 3 (by relup.sh)

* Wed Nov 10 2010 shadzik <shadzik@pld-linux.org> 734460d
- rel 2

* Fri Nov 05 2010 Caleb Maclennan <caleb@alerque.com> 35d80a7
- Up to 4.7.2

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> cc4d49d
- release 3

* Fri Feb 12 2010 Elan Ruusamäe <glen@pld-linux.org> 40d86d3
- release 2

* Fri Nov 21 2008 Karol Krenski <charles@pld-linux.org> 711c0f6
- BR: unzip

* Tue Oct 07 2008 dzeus <dzeus@pld-linux.org> bf33d0c
- up to 4.5.3

